Loading...
Searching...
No Matches
XrdCmsDelNode Class Reference
Inheritance diagram for XrdCmsDelNode:
Collaboration diagram for XrdCmsDelNode:

## Public Member Functions

| XrdCmsDelNode (XrdCmsNode *nP)
| ~XrdCmsDelNode ()
void | DoIt ()

## Public Attributes

XrdCmsNode * | nodeP

## Detailed Description

Definition at line 82 of file XrdCmsManager.cc.

## Constructor & Destructor Documentation

## XrdCmsDelNode()

XrdCmsDelNode::XrdCmsDelNode | ( | XrdCmsNode * | nP | ) |

inline

Definition at line 90 of file XrdCmsManager.cc.

: XrdJob("delete node"), nodeP(nP)
{Sched->Schedule((XrdJob *)this);}
XrdCmsDelNode::nodeP
XrdCmsNode * nodeP
Definition XrdCmsManager.cc:95
XrdJob::XrdJob
XrdJob(const char *desc="")
Definition XrdJob.hh:51
XrdScheduler::Schedule
void Schedule(XrdJob *jp)
Definition XrdScheduler.cc:373
XrdCms::Sched
XrdScheduler * Sched
Definition XrdCmsConfig.cc:114

References XrdJob::XrdJob(), nodeP, and XrdCms::Sched.

Here is the call graph for this function:

## ~XrdCmsDelNode()

XrdCmsDelNode::~XrdCmsDelNode | ( |  | ) |

inline

Definition at line 93 of file XrdCmsManager.cc.

{}

## Member Function Documentation

## DoIt()

void XrdCmsDelNode::DoIt | ( |  | ) |

inline virtual

Implements XrdJob.

Definition at line 86 of file XrdCmsManager.cc.

{nodeP->Delete(XrdCmsManager::MTMutex);
delete this;
}

References nodeP.

## Member Data Documentation

## nodeP

XrdCmsNode* XrdCmsDelNode::nodeP

Definition at line 95 of file XrdCmsManager.cc.

Referenced by XrdCmsDelNode(), and DoIt().

The documentation for this class was generated from the following file:

- XrdCmsManager.cc